package domain


type AlibabaRetailMarketingItempoolActivityQueryLogicGroupDTO struct {
    /*
        分组序号     */
    Number  *int64 `json:"number,omitempty" `

    /*
        分组类型 1: 普通分组  2: 换购分组  3: 买赠分组     */
    Type  *int64 `json:"type,omitempty" `

    /*
        分组名称     */
    Name  *string `json:"name,omitempty" `

    /*
        是否生效分组     */
    EffectiveGroup  *bool `json:"effective_group,omitempty" `

    /*
        优惠门槛     */
    Condition  *AlibabaRetailMarketingItempoolActivityQueryConditionDTO `json:"condition,omitempty" `

    /*
        优惠效果     */
    Action  *AlibabaRetailMarketingItempoolActivityQueryActionDTO `json:"action,omitempty" `

    /*
        换购标识     */
    Exchange  *bool `json:"exchange,omitempty" `

    /*
        换购规则     */
    ExchangeRule  *AlibabaRetailMarketingItempoolActivityQueryExchangeRuleDTO `json:"exchange_rule,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivityQueryLogicGroupDTO) SetNumber(v int64) *AlibabaRetailMarketingItempoolActivityQueryLogicGroupDTO {
    s.Number = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryLogicGroupDTO) SetType(v int64) *AlibabaRetailMarketingItempoolActivityQueryLogicGroupDTO {
    s.Type = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryLogicGroupDTO) SetName(v string) *AlibabaRetailMarketingItempoolActivityQueryLogicGroupDTO {
    s.Name = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryLogicGroupDTO) SetEffectiveGroup(v bool) *AlibabaRetailMarketingItempoolActivityQueryLogicGroupDTO {
    s.EffectiveGroup = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryLogicGroupDTO) SetCondition(v AlibabaRetailMarketingItempoolActivityQueryConditionDTO) *AlibabaRetailMarketingItempoolActivityQueryLogicGroupDTO {
    s.Condition = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryLogicGroupDTO) SetAction(v AlibabaRetailMarketingItempoolActivityQueryActionDTO) *AlibabaRetailMarketingItempoolActivityQueryLogicGroupDTO {
    s.Action = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryLogicGroupDTO) SetExchange(v bool) *AlibabaRetailMarketingItempoolActivityQueryLogicGroupDTO {
    s.Exchange = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryLogicGroupDTO) SetExchangeRule(v AlibabaRetailMarketingItempoolActivityQueryExchangeRuleDTO) *AlibabaRetailMarketingItempoolActivityQueryLogicGroupDTO {
    s.ExchangeRule = &v
    return s
}
